/* Stockage d'une couleur rvb               */
/*                                          */
/* Auteur: Nicolas JANEY                    */
/* nicolas.janey@univ-fcomte.fr             */
/* Novembre 2012                            */

#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "Couleur.h"
#include "Rvb.h"

/* Constructeurs                            */
Couleur::Couleur(void):Rvb() {
}

Couleur::Couleur(double r,double v,double b):Rvb(r,v,b) {
}

Couleur::Couleur(float r,float v,float b):Rvb(r,v,b) {
}

Couleur::Couleur(double *c):Rvb(c[0],c[1],c[2]) {
}

Couleur::Couleur(float *c):Rvb(c[0],c[1],c[2]) {
}

Couleur::Couleur(Couleur *c):Rvb(c) {
  r = c->r;
  v = c->v;
  b = c->b;
}

/* Destructeur                              */
Couleur::~Couleur(void) {
}
